﻿using System.Drawing;
using System.IO;
using System.Windows.Forms;

class CImages
{
    internal Image[] ImagesList = new Image[6];
    string[] pathList ={Path.Combine(Application.StartupPath,@"image\000.bmp"),
                        Path.Combine(Application.StartupPath,@"image\001.bmp"),
                        Path.Combine(Application.StartupPath,@"image\002.bmp"),
                        Path.Combine(Application.StartupPath,@"image\003.bmp"),
                        Path.Combine(Application.StartupPath,@"image\004.bmp"),
                        Path.Combine(Application.StartupPath,@"image\005.bmp")};

    internal const int bmp_haba_X = 48;
    internal const int bmp_haba_Y = 48;

    internal void Init()
    {
        for (int I = 0; I <= ImagesList.GetUpperBound(0); I++) {
            InitHelper(I);
        }
    }

    private void InitHelper(int No)
    {
        var fs = new FileStream(pathList[No], FileMode.Open, FileAccess.Read);
        ImagesList[No] = Bitmap.FromStream(fs);
        fs.Close();
    }

    internal void ExecDraw(int No, int X, int Y, PaintEventArgs e)
    {
        if (No == 6) No = 5;
        e.Graphics.DrawImage(ImagesList[No], X, Y, bmp_haba_X, bmp_haba_Y);
    }
}
